<!-- =========================================================================================
    File Name: CardBasic.vue
    Description: Basic Cards
    ----------------------------------------------------------------------------------------
    Item Name: Vuexy - Vuejs, HTML & Laravel Admin Dashboard Template
      Author: Pixinvent
    Author URL: http://www.themeforest.net/user/pixinvent
========================================================================================== -->

<template>
    <div id="demo-basic-card">
        <template>
            <v-select multiple :closeOnSelect="false" v-model="selected" :options="options" :dir="$vs.rtl ? 'rtl' : 'ltr'" v-on:input="filterOffres" /><br>
        </template>
        <div class="vx-row">
            <template v-for="offre in computedOffres">
                <div class="vx-col w-full lg:w-1/3 sm:w-1/2 mb-base">
                    <vx-card class="overlay-card overflow-hidden">
                        <template slot="no-body">
                            <img src="https://cdn.pixabay.com/photo/2017/10/17/10/05/job-2860035_960_720.jpg" alt="user-profile-cover" class="responsive">
                            <div class="card-overlay text-white flex flex-col justify-between">
                                <h4 class="text-white mb-4">{{ offre.Title }}</h4>
                                <h5 class="text-white mb-4">{{ offre.secteur.Title }}</h5>
                                <p>{{ offre.Text }}</p>
                         </div>
                        </template>
                    </vx-card>
                </div>
            </template>
        </div>
    </div>
</template>

<script>
import VuePerfectScrollbar from 'vue-perfect-scrollbar'
import { videoPlayer }     from 'vue-video-player'
import VxTimeline          from "@/components/timeline/VxTimeline.vue"
import 'video.js/dist/video-js.css'
import axios from 'axios'
import vSelect from 'vue-select'

export default{
    data() {
        return {

            playerOptions: {},
            settings: { // perfectscrollbar settings
                maxScrollbarLength: 60,
                wheelSpeed: .60,
            },
            offres : [],
            selected: [],
            options: []
        }
    },
    components: {
        VuePerfectScrollbar,
        videoPlayer,
        VxTimeline,
        'v-select': vSelect,
    },
    methods:{
		getOffres(){
            axios.get(
                    '/api/getOffres'
                ).then(response => {
                        alert('done');
                        this.offres = response.data.data.offres;

                }).catch(error => {
					console.log(error)
                })
		},
		getSecteurs(){
            axios.get(
                    '/api/getSecteurs'
                ).then(response => {
                        this.options = response.data.data.secteurs;

                }).catch(error => {
					console.log(error)
                })
        },
        filterOffres(){
            var self = this;
            axios.post(
                    '/api/filterOffres',
                    {
                        'filter' : this.selected
                    }
                ).then(response => {
                        self.offres = response.data.data.offres;

                }).catch(error => {
					console.log(error)
                })
        }
    },
    mounted() {
        // this.$refs.chatLogPS.$el.scrollTop = this.$refs.chatLog.scrollHeight;
        this.getSecteurs();
        this.getOffres();
    },
    created() {

    },
    computed: {
        computedOffres: function () {
            return this.offres
        }
    }
}
</script>

<style lang="scss">
#demo-basic-card {
    .overlay-card {
        .vx-card__collapsible-content {
            max-height: 485px;
        }
    }

    .chat-card-log {
        height: 360px;

        .chat-sent-msg {
            background-color: #f2f4f7 !important;
        }
    }

    .card-video {
        .video-js {
            height: 370px;
        }
    }
}
</style>
